Subject: Re: Apache 2.2.4 no longer compiles on Mac OS X
To: Eric Gillespie <>
From: John Klos <>
List: pkgsrc-bugs
Date: 02/10/2007 18:39:51

>> Mac OS X 10.4.8, i386, latest Xcode, up to date package tools, latest
>> pkgsrc as of last night, localbase of /usr/local. Any ideas?
> No ideas here.  Is everything up to date?

I just tried again on a brand new system, latest OS X, latest pkgsrc from 
yesterday, latest Xcode:

/bin/sh /usr/pkgsrc/www/apache22/work/httpd-2.2.4/build/libtool --silent 
--mode=link gcc   -pipe -O2 -I/usr/local/include -I/usr/include 
-L/usr/local/lib -L/usr/lib -o htpasswd  htpasswd.lo 
/usr/local/lib/ -lsqlite3 -lexpat -liconv 
/usr/local/lib/ -lpthread
libtool: link: cannot find the library 
`/usr/pkgsrc/www/apache22/work/.buildlink/lib/' or unhandled 
argument `/usr/pkgsrc/www/apache22/work/.buildlink/lib/'

[] note: The real command line, after the pkgsrc wrapper, was:
/usr/local/bin/libtool --silent --mode=link gcc -pipe -O2 
-L/usr/pkgsrc/www/apache22/work/.buildlink/lib -o htpasswd htpasswd.lo 
/usr/pkgsrc/www/apache22/work/.buildlink/lib/ -lsqlite3 
-lexpat -liconv /usr/pkgsrc/www/apache22/work/.buildlink/lib/ 
*** Error code 1

The same, but different.